# Method: accounts.creatives.dealAssociations.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#body.ListDealAssociationsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#try-it)

List all creative-deal associations.

### HTTP request

`GET https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/creatives/{creativeId}/dealAssociations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string` The account to list the associations from. Specify "-" to list all creatives the current user has access to. |
| `creativeId` | `string` The creative ID to list the associations from. Specify "-" to list all creatives under the above account. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Server may return fewer associations than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#body.ListDealAssociationsResponse.FIELDS.next_page_token` returned from the previous call to 'dealAssociations.list' method. |
| `query` | `string` An optional query string to filter deal associations. If no filter is specified, all associations will be returned. Supported queries are: - accountId=*account_id_string* - creativeId=*creative_id_string* - dealsId=*deals_id_string* - dealsStatus:{approved, conditionally_approved, disapproved, not_checked} - openAuctionStatus:{approved, conditionally_approved, disapproved, not_checked} Example: 'dealsId=12345 AND dealsStatus:disapproved' <br /> |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
A response for listing creative and deal associations

| JSON representation ||
|---|---|
| ``` { "associations": [ { object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/CreativeDealAssociation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `associations[]` | ``object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/CreativeDealAssociation`)`` The list of associations. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives.dealAssociations/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to 'ListDealAssociation' method to retrieve the next page of results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`